@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

:root {
    --bg-lgn-sys: #f7f9ff;
    --clr-warning-bootstrap: #ffc107;
    --clr-danger-bootstrap: #dc3545;
}

body {
    font-family: "Poppins", sans-serif !important;
}

.ttl-page {
    font-size: 1.4rem !important;
    font-weight: 500 !important;
    color: darkgray !important;
}

.CapMessage{
    font-style: italic;
    color: gray
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}


.bg-lgn-sys {
    background-color: var(--bg-lgn-sys);
}

.AdminBgLogin {
    background-image: url('../Assets/Bg/AdminBgLogin.jpg');
    background-attachment: fixed;
    min-height: 94vh;
    min-width: 100vw;
    background-position: left center;
    position: relative;
}

    .AdminLoginCrd {
        padding-bottom: 2rem;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%);
        width: 50%;
    }

@media(min-width:1025px) {
    .AdminLoginCrd {
        /*padding-top: 2rem;*/
        padding-bottom: 2rem;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%);
        width: 50%;
    }
}

@media (min-width: 426px) and (max-width:1024px) {
    .AdminLoginCrd {
        /*padding-top: 2rem !important;*/
        padding-bottom: 2rem;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%);
        width: 90%;
    }
}

@media(max-width: 425px) {
    .AdminLoginCrd {
        /*padding-top: 2rem;*/
        padding-bottom: 2rem;
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%);
        width: 100%;
    }
}

.CitizenBg {
    background-image: url('../Assets/Bg/CitizenBg.jpg');
    background-position: center center;
    background-size: cover;
    background-attachment: fixed;
    min-width: 100%;
    min-height: 95vh;
}

.WorkerBg {
    background-image: url('../Assets/Bg/PGuardBg.jpg');
    background-position: center center;
    background-size: cover;
    background-attachment: fixed;
    min-width: 100%;
    min-height: 95vh;
}

.WorkerHeadSec {
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 1030;
    margin: 0 1rem 1rem 1rem;
    padding: .2rem
}

.WTitle {
    position: fixed;
    width: 100%;
    top: 0;
    left: 0;
    padding: .5rem;
    color: white;
    z-index: 1000;
}

@media(min-width: 768px) {
    .WLayout {
        max-width: 767px;
        min-height: 100vh;
        margin-right: auto;
        margin-left: auto;
        position: relative;
        border-radius: 0.375rem;
        box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
    }

    .Wcanvas {
        max-width: 500px;
        max-height: 20rem;
    }

    .plate-enter {
        max-width: 430px;
        margin-right: auto;
        margin-left: auto;
    }
}

@media(min-width: 425px) and (max-width: 767px) {
    .WLayout {
        min-height: 100vh;
        position: relative;
    }

    .Wcanvas {
        max-width: 95%;
        max-height: 20rem;
    }

    .plate-enter {
        max-width: 430px;
        margin-right: auto;
        margin-left: auto;
    }
}

@media(max-width: 424px) {
    .WLayout {
        min-height: 100vh;
        position: relative;
    }

    .Wcanvas {
        max-width: 95%;
        max-height: 20rem;
    }

    .plate-enter {
        max-width: 95%;
        margin-right: auto;
        margin-left: auto;
    }
}

.warning-indicator {
    background-color: var(--clr-warning-bootstrap);
    padding: .05px 10px;
    border-radius: 50%;
    border: .5px solid black;
}

.danger-indicator {
    background-color: var(--clr-danger-bootstrap);
    padding: .05px 10px;
    border-radius: 50%;
    border: .5px solid black;
}

.sidebar-badge {
    position: absolute;
    transform: translateY(-50%);
    right: 0;
    top: 50%;
    background-color: var(--clr-danger-bootstrap) !important;
    color: white;
    border-radius: 50rem;
    font-size: 9px;
    padding: 2px 10px 2px 10px;
    font-weight: 600;
    margin-right: 10px;
    /*text-align: center;*/
}